> ## Documentation Index
> Fetch the complete documentation index at: https://developers.qshop.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Create manyproducts instagram



## OpenAPI

````yaml post /{shopId}/products/bulk
openapi: 3.0.3
info:
  title: API V2
  version: 1.0.0
  contact: {}
servers:
  - url: http://staging.qshop.ng/apiv2
    description: Staging server
  - url: http://qshop.ng/api
    description: null
security: []
tags:
  - name: Analytics
  - name: Authentication
  - name: Storefront
  - name: Roles
  - name: Banks
  - name: Products
  - name: Shops
  - name: Roles1
  - name: Bank accounts
  - name: Users
  - name: Payment methods
  - name: Integrations
  - name: Subscriptions
  - name: Currency
  - name: Shipping zones
  - name: Shipping rates
  - name: Policies
  - name: Contact us
  - name: Locations
  - name: Reviews
  - name: Referral
  - name: Stripe
  - name: Campaigns
  - name: Credits
  - name: Product Tags
  - name: Product Attributes
  - name: Product Categories
  - name: Orders
  - name: Discount
  - name: Shipping
  - name: Redeem digital assets
  - name: Coupons
  - name: Currencies
  - name: Shop categories
  - name: Locations1
  - name: Features
  - name: Subscription plan
  - name: Recurring subscription plan
  - name: Shop payments
  - name: QDiscounts
  - name: Order status
  - name: Announcements
  - name: Wishlist
  - name: Transaction status
  - name: Templates
  - name: Config
  - name: Cart management
  - name: Users1
  - name: Profile
  - name: Domains
  - name: Transactions
  - name: Subscriptions1
  - name: Subscription statuses
  - name: Security
  - name: Payments
  - name: Payment methods1
  - name: Payment platforms
  - name: Public
  - name: social
  - name: Shipping1
  - name: Orders1
  - name: Integrations1
  - name: Webhook
  - name: ShopTags
  - name: Themes
paths:
  /{shopId}/products/bulk:
    post:
      tags:
        - Products
      summary: Create many.products Instagram
      description: Create many.products Instagram
      operationId: createManyProductsInstagram
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                products:
                  type: array
                  items:
                    type: object
                    properties:
                      description:
                        type: string
                        example: Ma ma mia
                      digital:
                        type: boolean
                        example: false
                      id:
                        type: string
                        example: '17972857072107532'
                      insta_id:
                        type: string
                        example: '17972857072107532'
                      insta_link:
                        type: string
                        example: https://www.instagram.com/p/BozDXTVFcYZ/
                      insta_user:
                        type: string
                        example: newtonlovestocode
                      media:
                        type: string
                        example: >-
                          https://scontent-los2-1.cdninstagram.com/v/t51.2885-15/42161321_280460319260650_2299606808113498448_n.jpg?_nc_cat=107&ccb=1-5&_nc_sid=8ae9d6&_nc_ohc=CjyrDlH73IMAX_KY2V8&_nc_ht=scontent-los2-1.cdninstagram.com&edm=ANo9K5cEAAAA&oh=00_AT9-OFLMqz8JExjYJiAVH_sQ2xBUqKlYGa4UEl-2kLpbxA&oe=62656B32
                      media_type:
                        type: string
                        example: CAROUSEL_ALBUM
                      name:
                        type: string
                        example: Ma nny
                      price:
                        type: number
                        example: 100000
                      sale_price:
                        type: number
                        example: 0
                      shop:
                        type: string
                        example: 61a956d91a113f7e13c45c15
                      stock:
                        type: number
                        example: 100
                      tags:
                        type: array
                        items: {}
                        example: []
                  example:
                    - description: Ma ma mia
                      digital: false
                      id: '17972857072107532'
                      insta_id: '17972857072107532'
                      insta_link: https://www.instagram.com/p/BozDXTVFcYZ/
                      insta_user: newtonlovestocode
                      media: >-
                        https://scontent-los2-1.cdninstagram.com/v/t51.2885-15/42161321_280460319260650_2299606808113498448_n.jpg?_nc_cat=107&ccb=1-5&_nc_sid=8ae9d6&_nc_ohc=CjyrDlH73IMAX_KY2V8&_nc_ht=scontent-los2-1.cdninstagram.com&edm=ANo9K5cEAAAA&oh=00_AT9-OFLMqz8JExjYJiAVH_sQ2xBUqKlYGa4UEl-2kLpbxA&oe=62656B32
                      media_type: CAROUSEL_ALBUM
                      name: Ma nny
                      price: 100000
                      sale_price: 0
                      shop: 61a956d91a113f7e13c45c15
                      stock: 100
                      tags: []
                    - description: Self
                      digital: false
                      id: '17915908939184035'
                      insta_id: '17915908939184035'
                      insta_link: https://www.instagram.com/p/Bh_JEl4Fphs/
                      insta_user: newtonlovestocode
                      media: >-
                        https://scontent-los2-1.cdninstagram.com/v/t51.2885-15/30830018_859735260881522_3567949583281553408_n.jpg?_nc_cat=100&ccb=1-5&_nc_sid=8ae9d6&_nc_ohc=on0A_EakivAAX-AQ92N&_nc_ht=scontent-los2-1.cdninstagram.com&edm=ANo9K5cEAAAA&oh=00_AT8fbLWJjJkzV2nStkThk-hKHHv-hgDR2CwpUeZYcGWS-A&oe=6266F96D
                      media_type: CAROUSEL_ALBUM
                      name: Self again are
                      price: 1500
                      sale_price: 0
                      shop: 61a956d91a113f7e13c45c15
                      stock: 100
                      tags: []
                type:
                  type: string
                  example: instagram
            example:
              products:
                - description: Ma ma mia
                  digital: false
                  id: '17972857072107532'
                  insta_id: '17972857072107532'
                  insta_link: https://www.instagram.com/p/BozDXTVFcYZ/
                  insta_user: newtonlovestocode
                  media: >-
                    https://scontent-los2-1.cdninstagram.com/v/t51.2885-15/42161321_280460319260650_2299606808113498448_n.jpg?_nc_cat=107&ccb=1-5&_nc_sid=8ae9d6&_nc_ohc=CjyrDlH73IMAX_KY2V8&_nc_ht=scontent-los2-1.cdninstagram.com&edm=ANo9K5cEAAAA&oh=00_AT9-OFLMqz8JExjYJiAVH_sQ2xBUqKlYGa4UEl-2kLpbxA&oe=62656B32
                  media_type: CAROUSEL_ALBUM
                  name: Ma nny
                  price: 100000
                  sale_price: 0
                  shop: 61a956d91a113f7e13c45c15
                  stock: 100
                  tags: []
                - description: Self
                  digital: false
                  id: '17915908939184035'
                  insta_id: '17915908939184035'
                  insta_link: https://www.instagram.com/p/Bh_JEl4Fphs/
                  insta_user: newtonlovestocode
                  media: >-
                    https://scontent-los2-1.cdninstagram.com/v/t51.2885-15/30830018_859735260881522_3567949583281553408_n.jpg?_nc_cat=100&ccb=1-5&_nc_sid=8ae9d6&_nc_ohc=on0A_EakivAAX-AQ92N&_nc_ht=scontent-los2-1.cdninstagram.com&edm=ANo9K5cEAAAA&oh=00_AT8fbLWJjJkzV2nStkThk-hKHHv-hgDR2CwpUeZYcGWS-A&oe=6266F96D
                  media_type: CAROUSEL_ALBUM
                  name: Self again are
                  price: 1500
                  sale_price: 0
                  shop: 61a956d91a113f7e13c45c15
                  stock: 100
                  tags: []
              type: instagram
      responses:
        '200':
          description: ''

````